<?php
/**
 * Created by: Andrey Polyakov (andrey@polyakov.im)
 */

namespace Travelpayouts\components;

use Travelpayouts\includes\traits\AliasesTrait;

/**
 * Class Application
 * @package Travelpayouts\components
 * Будущий класс, от которого будет наследоваться Travelpayouts
 */
abstract class Application extends BaseObject
{
    use AliasesTrait;

    /**
     * Configures an object with the initial property values.
     * @param object $object the object to be configured
     * @param array $properties the property initial values given in terms of name-value pairs.
     * @return object the object itself
     */
    public static function configure($object, $properties)
    {
        foreach ($properties as $name => $value) {
            $object->$name = $value;
        }

        return $object;
    }
}
