<?php
/**
 * Created by: Andrey Polyakov (andrey@polyakov.im)
 */

namespace Travelpayouts\components\snowplow;

class Tracker extends \Snowplow\Tracker\Tracker
{
    protected $context = [];

    /**
     * @inheritdoc
     */
    public function trackPageView($page_url, $page_title = null, $referrer = null, $context = null, $tstamp = null)
    {
         parent::trackPageView(
            $page_url,
            $page_title,
            $referrer,
            $this->mergeContext($context),
            $tstamp
        );
    }

    /**
     * @inheritdoc
     */
    public function trackStructEvent($category,
                                     $action,
                                     $label = null,
                                     $property = null,
                                     $value = null,
                                     $context = [],
                                     $tstamp = null)
    {
         parent::trackStructEvent($category,
            $action,
            $label,
            $property,
            $value,
            $this->mergeContext($context),
            $tstamp);
    }

    /**
     * @inheritdoc
     */
    public function trackUnstructEvent($event_json,
                                       $context = [],
                                       $tstamp = null)
    {
         parent::trackUnstructEvent($event_json,
            $this->mergeContext($context),
            $tstamp);
    }

    /**
     * @inheritdoc
     */
    public function trackEcommerceTransaction($order_id,
                                              $total_value,
                                              $currency = null,
                                              $affiliation = null,
                                              $tax_value = null,
                                              $shipping = null,
                                              $city = null,
                                              $state = null,
                                              $country = null,
                                              $items,
                                              $context = [],
                                              $tstamp = null)
    {
         parent::trackEcommerceTransaction($order_id,
            $total_value,
            $currency,
            $affiliation,
            $tax_value,
            $shipping,
            $city,
            $state,
            $country,
            $items,
            $this->mergeContext($context),
            $tstamp);
    }

    public function setContext($context)
    {
        $this->context = $context;
    }

    /**
     * Объединяем базовый контекст с контекстом представленным в аргументе функции
     * @param array $context
     * @return array
     */
    protected function mergeContext($context = [])
    {
        $context = array_merge(
            $this->context,
            $context
        );

        return $this->formatContext($context);
    }

    /**
     * Оборачиваем еще раз в архив потому что такой формат запланирован на другой стороне
     *
     * @param $context
     * @return array[]
     */
    protected function formatContext($context)
    {
        return [
            [
                'schema' => 'event',
                'data' => $context
            ]
        ];
    }
}
