<?php
/**
 * Created by: Andrey Polyakov (andrey@polyakov.im)
 */

use \Rollbar\Payload\Level;

return [
    'config' => [
        'modules' => require(__DIR__ . '/modules.php'),
        'rollbar' => static function () {
            return [
                'access_token' => '60856ddce13a4e66a94e6ca9a769d7db',
                'environment' => !TRAVELPAYOUTS_DEBUG
                    ? 'production'
                    : 'development',
                'enabled' => !TRAVELPAYOUTS_DEBUG,
                'minimum_level' => Level::ERROR,
                'framework' => 'wordpress',
                'custom' => [
                    'host' => home_url(),
                    'email' => get_option('admin_email'),
                    'language' => get_user_locale(),
                    'wp_version' => get_bloginfo('version'),
                    'plugin_version' => defined('TRAVELPAYOUTS_VERSION')
                        ? TRAVELPAYOUTS_VERSION
                        : '-',
                    'php_version' => PHP_VERSION,
                    'marker' => Travelpayouts::getInstance()->account->marker,
                    'template' => get_option('template'),
                ],
            ];
        },
        'snowplow' => [
            'emitter' => [
                'url' => TRAVELPAYOUTS_DEBUG
                    ? 'beta.avsplow.com'
                    : 'avsplow.com',
                'protocol' => 'https',
                'post_type' => 'POST',
                'buffer_size' => 1,
                'debug' => TRAVELPAYOUTS_DEBUG,
            ],
            'tracker' => [
                'className' => \Travelpayouts\components\snowplow\Tracker::class,
                'namespace' => null,
                'app_id' => 'tp_wp_plugin',
            ],
            'context' => function () {
                return [
                    'wp_version' => get_bloginfo('version'),
                    'php_version' => PHP_VERSION,
                    'plugin_version' => defined('TRAVELPAYOUTS_VERSION')
                        ? TRAVELPAYOUTS_VERSION
                        : '-',
                    'domain' => home_url(),
                    'plugin_locale' => get_user_locale(),
                ];
            },
        ],
        'router' => [
            'actionParam' => 'wp_ajax_travelpayouts_routes',
        ],
    ],
];
