<?php

if (!function_exists('travelpayoutsValidateLogoDimensions')) {
    function travelpayoutsValidateLogoDimensions($field, $value, $existingValue)
    {
        $result = [
            'value' => $value,
            'field' => $field,
        ];

        if (isset($value['width']) && isset($value['height'])) {
            $width = (int)$value['width'];
            $height = (int)$value['height'];

            if ($width > 300 || $height > 200) {
                $field['msg'] = '';
                $result['warning'] = $field;
            }
        }

        return $result;
    }
}

return [
    'redux_args' => [
        'opt_name' => TRAVELPAYOUTS_REDUX_OPTION,
        'dev_mode' => false,
        'display_name' => 'Travelpayouts',
        'display_version' => TRAVELPAYOUTS_VERSION,
        'page_slug' => 'travelpayouts_options',
        'page_title' => 'Travelpayouts Options',
        'update_notice' => true,
        'intro_text' => null,
        'footer_text' => null,
        'admin_bar' => true,
        'menu_icon' => Travelpayouts::getAlias('@webImages/logo/travelpayouts_gray_sidebar.svg'),
        'menu_type' => 'menu',
        'menu_title' => 'Travelpayouts',
        'allow_sub_menu' => true,
        'page_parent_post_type' => 'travelpayouts_post_type',
        'customizer' => true,
        'default_mark' => '*',
        'hide_reset' => !TRAVELPAYOUTS_DEBUG,
        'hints' => [
            'icon_position' => 'right',
            'icon_size' => 'normal',
            'tip_style' => [
                'color' => 'light',
            ],
            'tip_position' => [
                'my' => 'top left',
                'at' => 'bottom right',
            ],
            'tip_effect' => [
                'show' => [
                    'duration' => '500',
                    'event' => 'mouseover',
                ],
                'hide' => [
                    'duration' => '500',
                    'event' => 'mouseleave unfocus',
                ],
            ],
        ],
        'output' => true,
        'output_tag' => true,
        'settings_api' => true,
        'cdn_check_time' => '1440',
        'compiler' => true,
        'page_permissions' => 'manage_options',
        'save_defaults' => true,
        'show_import_export' => true,
        'transient_time' => '3600',
        'network_sites' => true,
        'templates_path' => dirname(__FILE__) . '/../admin/redux/templates/panel',
        'hide_expand' => true,
        'allow_tracking' => false,
    ],
];
