<?php

namespace Travelpayouts\modules\searchForms\front;

use Travelpayouts;
use Travelpayouts\components\rest\FrontFields;
use Travelpayouts\components\rest\FrontModel;
use Travelpayouts\modules\searchForms\components\models\SearchFormsModel;
use Travelpayouts\modules\searchForms\components\SearchShortcodes;

class Hotels extends FrontModel
{
    public $id;

    public function rules()
    {
        return array_merge(parent::rules(), [
            [['id'], 'required'],
        ]);
    }

    /**
     * @inheritDoc
     */
    public function shortcodeName()
    {
       return Travelpayouts::__('Hotels search form');
    }

    /**
     * @inheritDoc
     */
    public function extraData()
    {
        return [
            'image'=>Travelpayouts::getAlias('@webImages/rest/search_form_hotels.png'),
        ];
    }

    public function getFields()
    {
        return array_merge(
            FrontFields::searchForm(true, SearchShortcodes::TYPE_HOTEL),
            FrontFields::searchFormHotel(),
            FrontFields::additionalMarker('')
        );
    }

    public function setData($value)
    {
        return false;
    }

    public static function isValid()
    {
        $model = new SearchFormsModel();

        return $model->isActiveHotels();
    }
}
