<?php
/**
 * Created by: Andrey Polyakov (andrey@polyakov.im)
 */

namespace Travelpayouts\modules\tables\components\api;

use Travelpayouts;
use Travelpayouts\components\ApiModel;

/**
 * Class BaseTokenApiModel
 * @package Travelpayouts\modules\tables\components\api
 */
abstract class BaseTokenApiModel extends ApiModel
{
    /**
     * @var string
     * Individual affiliate token.
     */
    public $token;

    public function __construct($config = [])
    {
        if ($accountModule = Travelpayouts::getInstance()->account) {
            $this->token = $accountModule->token;
        }
        parent::__construct($config);
    }

    public function rules()
    {
        return [
            [['token'], 'required'],
            [['token'], 'string', 'length' => 32],
        ];
    }

}
